@import '../../../../../styles/mixins';
@import '../../../../../styles/typography';

:host {
  width: 100%;
  ::ng-deep {
    a * {
      pointer-events: all;
    }
  }
}

a.disabled {
  pointer-events: none;
  cursor: default;
}

a {
  @include generic-layout(auto, true);
  width: 100%;
  height: 50px;
  text-decoration: none;
  color: $color-text;
  border-radius: $border-radius;
  border: 1px solid $color-border;
  background-color: $color-secondary;
  padding: $padding;
  @include p;
  .content {
    margin: 0 $margin / 2;
    width: 100%;
    max-width: 100%;
    @include ellipsis();
  }
}
